# v4l2_ctrl_videodec_dpbinfometadata_ Struct Reference
[V4L2 Video Decoder]

Holds the decoder DPB info metadata. More...

`#include <v4l2_nv_extensions.h>`

List of all members.

## Public Attributes

v4l2_ctrl_videodec_currentframe_metadata | currentFrame
| Metadata for the current decoded frame.
__u32 | nActiveRefFrames
| Number of active frames present in the DPB.
v4l2_ctrl_videodec_refframe_metadata | RPSList [16]
| An array of metadatas for the active frames in the DPB.

## Detailed Description

Holds the decoder DPB info metadata.

Definition at line 882 of file v4l2_nv_extensions.h.

## Member Data Documentation

v4l2_ctrl_videodec_currentframe_metadata v4l2_ctrl_videodec_dpbinfometadata_::currentFrame

Metadata for the current decoded frame.

Definition at line 885 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_videodec_dpbinfometadata_::nActiveRefFrames

Number of active frames present in the DPB.

Definition at line 887 of file v4l2_nv_extensions.h.

v4l2_ctrl_videodec_refframe_metadata v4l2_ctrl_videodec_dpbinfometadata_::RPSList[16]

An array of metadatas for the active frames in the DPB.

Only nActiveRefFrames elements in the array are valid

Definition at line 890 of file v4l2_nv_extensions.h.

The documentation for this struct was generated from the following file:

- include/v4l2_nv_extensions.h